<?php
if (defined(SableSystem) || SableSystem::loggedIn())
{
	$loginRequired = true;
	$loggedIn = SableSystem::loggedIn();
	$allowModuleAccess = $loggedIn && $loginRequired;
	if ($allowModuleAccess)
	{
		if ($_SESSION['user']['access_level'] < SABLE_ACCESS_SUPER)	SableGeneralFunctions::divertFromPage();
	}
	else
	{
		SableGeneralFunctions::revertToLoginPage();
	}
} else SableGeneralFunctions::divertFromPage();